package com.bonus.sgzb.material.service;

import com.bonus.sgzb.base.api.domain.SltAgreementApply;
import com.bonus.sgzb.base.api.domain.SltAgreementInfo;
import com.bonus.sgzb.base.api.domain.SltInfoVo;
import com.bonus.sgzb.common.core.web.domain.AjaxResult;
import com.bonus.sgzb.material.domain.AgreementInfo;
import org.apache.poi.ss.formula.functions.T;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author c liu
 * @date 2024/2/22
 */
public interface SltAgreementInfoService {
    List<AgreementInfo> getSltAgreementInfo(AgreementInfo bean);

    SltInfoVo getSltInfo(List<AgreementInfo> list);

    AjaxResult submitFee(SltAgreementApply apply);
    AjaxResult submitFeeOne(SltAgreementInfo apply);

    List<SltAgreementApply> getSltExam(AgreementInfo bean);

    SltInfoVo getSltExamInfo(SltAgreementApply apply);

    int settlementReview(SltAgreementApply apply);
    List<SltAgreementInfo> getLeaseList(List<AgreementInfo> list);
    List<SltAgreementInfo> getLeaseListOne(List<AgreementInfo> list);
    List<SltAgreementInfo> getLeaseListThree(List<AgreementInfo> list);

    List<SltAgreementInfo> getLoseList(List<AgreementInfo> list);

    List<SltAgreementInfo> getRepairList(List<AgreementInfo> list);

    List<SltAgreementInfo> getScrapList(List<AgreementInfo> list);
    List<SltAgreementInfo> getPreScrapList(List<AgreementInfo> list);

    int updateTrimDay(List<SltAgreementInfo> sltAgreementInfo);

    List  getSltInfoMonth(List<AgreementInfo> list);

    int updateOutSourceCosts(SltAgreementInfo sltAgreementInfo);
}
